Bug 1573135 - Update build configure for QEMU 2.12.0
Summary: Update build configure for QEMU 2.12.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1573156
TreeView+ depends on / blocked
 
Reported: 2018-04-30 10:11 UTC by Miroslav Rezanina
Modified: 2018-11-01 11:07 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1573156 (view as bug list)
Environment:
Last Closed: 2018-11-01 11:07:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miroslav Rezanina 2018-04-30 10:11:53 UTC
With rebase to QEMU 2.12.0, set of configure option changed. As we try to use every configrue option to prevent hidden changes in build configure, we have to update our build_configure.sh script to cover this new options:

--firmwarepath=...
--disable-sanitizers / --enable-sanitizers
--disable-hvf / --enable-hvf
--disable-whpx / --enable-whpx
--disable-malloc-trim / --enable-malloc-trim
--disable-membarrier / --enable-membarriers
--disable-vhost-crypto / --enable-vhost-crypto
--disable-libxml2 / --enable-libxml2
--disable-capstone / --enable-capstone[=system|=git]
--with-git=...
--disable-git-update / --enable-git-update

Removed options were handled during rebase as they block build.

Comment 3 Miroslav Rezanina 2018-08-10 10:42:27 UTC
Fix included in qemu-kvm-rhev-2.12.0-10.el7

Comment 6 errata-xmlrpc 2018-11-01 11:07:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.